X48NG(1)

NAME
x48ng - scientific calculator and an HP 48 emulator

SYNOPSIS
x48ng [--options ...] where options include (depending on compiled front-ends):
        -h --help what you are reading
        -v --version show version
            --print-config print configuration as config file
        -c <path> --config=<path> use <path> as x48ng's config file (default: ~/.config/x48ng/config.lua)
           --config-dir=<path> use <path> as x48ng's home (default: ~/.config/x48ng/)
           --rom=<filename> use <filename> (absolute or relative to <config-dir>) as ROM (default: rom)
           --ram=<filename> use <filename> (absolute or relative to <config-dir>) as RAM (default: ram)
           --state=<filename> use <filename> (absolute or relative to <config-dir>) as STATE (default: hp48)
           --port1=<filename> use <filename> (absolute or relative to <config-dir>) as PORT1 (default: port1)
           --port2=<filename> use <filename> (absolute or relative to <config-dir>) as PORT2 (default: port2)
           --serial-line=<path> use <path> as serial device default: /dev/ttyS0)
        -V --verbose be verbose (default: false)
           --x11 use X11 front-end (default: true)
           --sdl2 use SDL2 front-end (default: false)
           --sdl use SDL front-end (DEPRECATED) (default: false)
           --tui use terminal front-end (default: false)
           --tui-small use text small front-end (2×2 pixels per character) (default: false)
           --tui-tiny use text tiny front-end (2×2 pixels per character) (default: false)
        -t --terminal activate pseudo terminal interface (default: false)
        -s --serial activate serial interface (default: false)
           --debug enable the debugger
        -r --reset perform a reset on startup
        -T --throttle try to emulate real speed (default: false)
           --no-chrome only display the LCD (default: false)
           --fullscreen make the UI fullscreen (default: false)
           --scale=<float> scale the SDL2 UI by <float>
           --netbook make the UI horizontal (default: false)
           --visual=<X visual> use visual <X visual> (default: default), possible values: <default | staticgray | staticcolor | truecolor | grayscale | pseudocolor | directcolor | 0xnn | nn>
           --small-font=<fontname> use <fontname> as small font
           --medium-font=<fontname> use <fontname> as medium font
           --large-font=<fontname> use <fontname> as large font
           --connection-font=<fontname> use <fontname> as connection font
           --mono make the UI monochrome (default: false)
           --gray make the UI grayscale (default: false)
           --leave-shift-keys _not_ mapping the shift keys to let them free for numbers (default: false)
           --inhibit-shutdown __tentative fix for stuck-on-OFF bug__ (default: false)

DESCRIPTION
x48ng is a scientific calculator desktop accessory that emulate an HP-48 SX or an HP-48 GX.

x48ng emulates an HP 48 calculator. This manual does not attempt to describe the operation of the HP calulator, but only the user interface to the emulator.

ACCELERATORS
The keyboard may be used to input data into the x48ng. The number keys on the keyboard coresponds to the number buttons on the calaculator, and the alphbetic keys on the keyboard control the buttons on the top half of the calculator and the @code{+/-} and @code{EXX} keys. The @code{ENTER} button is attached to the Enter key, the delete key to the <-/DROP button and Divide, multiply, subtract and add buttons to the /, *, -, and + keys on the key board.

--tui SPECIAL KEYBINDINGS
I had to be a bit 'creative' mapping keys there: - [On] is either [F4] or [Esc] or [Home] or [\] - [Left Shift] is either [F5] or [PgUp] or [[] - [Right Shift] is either [F6] or [PgDn] or []] - [Alpha] is either [F8] or [Ins] or [;] To quit `x48ng --tui` use [F10] or [Shift+End] or [|]

COLORS
The x48ng is trying to look like a particular device. The colors are therefore not selectable.

BUGS

Bugs can be found and reported at: https://github.com/gwenhael-le-moine/x48ng

COPYRIGHT
Copyright © 2023- Gwenhael Le Moine
Copyright © 1994-2005 Eddie C. Dost
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

AUTHORS
Gwenhael Le Moine
Eddie C. Dost
G. Allen Morris III <gam3@gam3.net>